aboutsummaryrefslogtreecommitdiffstats
path: root/community/php7/php7-fpm.initd
diff options
context:
space:
mode:
Diffstat (limited to 'community/php7/php7-fpm.initd')
-rw-r--r--community/php7/php7-fpm.initd35
1 files changed, 35 insertions, 0 deletions
diff --git a/community/php7/php7-fpm.initd b/community/php7/php7-fpm.initd
new file mode 100644
index 0000000000..1016c68f0d
--- /dev/null
+++ b/community/php7/php7-fpm.initd
@@ -0,0 +1,35 @@
+#!/sbin/openrc-run
+
+name="PHP7 FastCGI Process Manager"
+cfgfile="/etc/php7/php-fpm.conf"
+pidfile="/var/run/php-fpm7.pid"
+command="/usr/sbin/php-fpm7"
+command_args="--fpm-config $cfgfile --pid $pidfile"
+required_files="$cfgfile"
+
+extra_started_commands="reload reopen"
+description_reload="Reload configuration"
+description_reopen="Reopen log files"
+
+depend() {
+ need net
+ before apache2 lighttpd nginx
+}
+
+start_pre() {
+ ebegin
+ $command $command_args -t 2>/dev/null
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading ${SVCNAME} configuration"
+ start-stop-daemon --signal USR2 --pidfile $pidfile
+ eend $?
+}
+
+reopen() {
+ ebegin Reopening ${SVCNAME} log files""
+ start-stop-daemon --signal USR1 --pidfile $pidfile
+ eend $?
+}